# Generated by Django 4.2.16 on 2025-03-10 10:25

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        ("cms", "0022_auto_20180620_1551"),
        ("djangocms_blog_agenda", "0008_auto_20241011_1615"),
    ]

    operations = [
        migrations.AddField(
            model_name="postextension",
            name="is_pinned",
            field=models.BooleanField(
                default=False,
                help_text="If the event is pinned on top of the agenda it will be displayed first whatever its start date",
                verbose_name="Pinned on top of the agenda",
            ),
        ),
        migrations.AlterField(
            model_name="upcomingeventsplugin",
            name="cmsplugin_ptr",
            field=models.OneToOneField(
                auto_created=True,
                on_delete=django.db.models.deletion.CASCADE,
                parent_link=True,
                primary_key=True,
                related_name="%(app_label)s_%(class)s",
                serialize=False,
                to="cms.cmsplugin",
            ),
        ),
        migrations.AlterField(
            model_name="upcomingeventsplugin",
            name="hide_events_after",
            field=models.CharField(
                choices=[
                    ("start", "just after event start date"),
                    ("start+1h", "1 hour after event start date"),
                    ("start+4h", "4 hours after event start date"),
                    ("start+1d", "1 day after event start date"),
                    ("start+2d", "2 days after event start date"),
                    ("start+3d", "3 days after event start date"),
                    ("start+7d", "7 days after event start date"),
                    ("end", "just after event end date"),
                ],
                default="start",
                max_length=100,
                verbose_name="Hide events",
            ),
        ),
        migrations.AlterField(
            model_name="upcomingeventsplugin",
            name="template_folder",
            field=models.CharField(
                choices=[("plugins", "Blog")],
                default="plugins",
                help_text="Select plugin template to load for this instance",
                max_length=200,
                verbose_name="Plugin template",
            ),
        ),
    ]
